%global momorel 1
%global date 20070413
%global svndate 13.04.07
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KIOSK administration tool for KDE
Name: kiosktool
Version: 1.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPL
URL: http://extragear.kde.org/apps/kiosktool/
Group: System Environment/Base
Source0: %{name}-%{svndate}.tar.bz2
Patch0: %{name}-%{svndate}-es-doc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: libxml2
BuildPreReq: autoconf, automake, libtool

%description
A Point and Click tool for system administrators to enable KDE's KIOSK 
features or otherwise preconfigure KDE for groups of users. 

%prep
%setup -q -n %{name}-%{svndate}

%patch0 -p1 -b .fix-doc

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# for profiles
mkdir -p %{buildroot}%{_sysconfdir}/kde-profile

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da es et it nl pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO src/COPYING-DOCS
%dir %{_sysconfdir}/kde-profile
%{_bindir}/kiosktool
%{_bindir}/kiosktool-kdedirs
%{_datadir}/applications/kde/kiosktool.desktop
%{_datadir}/apps/kiosktool
%{_datadir}/doc/HTML/*/kiosktool
%{_datadir}/icons/*/*/apps/kiosktool.png
%{_datadir}/locale/*/LC_MESSAGES/kiosktool.mo

%changelog
* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20070413.1m)
- initial package for Momonga Linux
